Subject: bug#27250: [PATCH] gnu: crawl: Update to 0.20.0.

From: nee <[email-masked]>
Date: Tue, 6 Jun 2017 19:56:08 +0200

Am 06.06.2017 um 10:27 schrieb Arun Isaac:> For some reason, the `check'
phase of `crawl' seems to be failing on my
> machine. Did the build complete successfully on yours?
>
> [C], function generate_level, line -1
> unique.lua, function test_uniques, line 5
> unique.lua, function test_uniques_blank, line 26
> unique.lua, function run_unique_tests, line 65
> unique.lua, function (null), line 73
>
> Lua persistent data:
> <<<<<<<<<<<<<<<<<<<<<<
> bailey_type: bailey_axe
> ice_cave_hard: false
> tomb_guardian_sets:
>     1: 3
>     2: 3
>     3: 4
>     4: 3
>     5: 4
>     6: 3
>
> aquarium_serial_pool_size: 1
> grunt_iron_hall_animated: false
>>>>>>>>>>>>>>>>>>>>>>>
>
> Lua marker contents:
> <<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>>
> make: *** [Makefile:1767: test-test] Error 124
> make: Leaving directory
'/tmp/guix-build-crawl-0.20.0.drv-0/stone_soup-0.20.0/source'
> phase `check' failed after 1291.6 seconds
> builder for
`/gnu/store/66h101ccsvhv6nkj4w444ks59kanbjaq-crawl-0.20.0.drv' failed
with exit code 1
> @ build-failed
/gnu/store/66h101ccsvhv6nkj4w444ks59kanbjaq-crawl-0.20.0.drv - 1 builder
for `/gnu/store/66h101ccsvhv6nkj4w444ks59kanb
> jaq-crawl-0.20.0.drv' failed with exit code 1
> guix build: error: build failed: build of
`/gnu/store/66h101ccsvhv6nkj4w444ks59kanbjaq-crawl-0.20.0.drv' failed
I ran the build 9 times trying to reproduce it, but every time all 29
tests succeeded. I'm building on x86_64 on GuixSD, using `./pre-inst-env
guix build crawl --rounds=9` on the commit I sent in last.

@arun sorry for the second mail, forgot to reply to list